<?php
/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              http://brewpixel.com
 * @since             1.0.0
 * @package           BrewPress
 *
 * @wordpress-plugin
 * Plugin Name:       BrewPress
 * Plugin URI:        http://brewpixel.com/brewpress/
 * Description:       Bespoke plugin created by BrewPixel.
 * Version:           2.4.5
 * Author:            Martin Goldie, BrewPixel
 * Author URI:        http://brewpixel.com/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       brewpress
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

require_once plugin_dir_path( __FILE__ ) . 'bootstrap/autoload.php';

/**
 * The code that runs during plugin activation.
 * This action is documented in app/Activation/Activator.php
 */
function activate_brewpress() {
	require_once plugin_dir_path( __FILE__ ) . 'app/Activation/Activator.php';
	\BrewPixel\BrewPress\Activation\Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in app/Activation/Deactivator.php
 */
function deactivate_brewpress() {
	require_once plugin_dir_path( __FILE__ ) . 'app/Activation/Deactivator.php';
	\BrewPixel\BrewPress\Activation\Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_brewpress' );
register_deactivation_hook( __FILE__, 'deactivate_brewpress' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'app/BrewPress.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_brewpress() {

	$plugin = new \BrewPixel\BrewPress\BrewPress;
	$plugin->run();

}
run_brewpress();
